Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512214 - [abrt] meld: __getattr__(): gnomeglade.py:56:__getattr__:AttributeError: on_file_changed
Summary: [abrt] meld: __getattr__(): gnomeglade.py:56:__getattr__:AttributeError: on_f...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: meld
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominic Hopf
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:39c963d58c9c3246f75fb126f94...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-11 16:26 UTC by Mateusz Mikuła
Modified: 2018-11-30 19:59 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 19:59:42 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-11 16:26 UTC, Mateusz Mikuła
no flags Details
File: cgroup (deleted)
2017-11-11 16:26 UTC, Mateusz Mikuła
no flags Details
File: cpuinfo (deleted)
2017-11-11 16:26 UTC, Mateusz Mikuła
no flags Details
File: environ (deleted)
2017-11-11 16:26 UTC, Mateusz Mikuła
no flags Details
File: mountinfo (deleted)
2017-11-11 16:26 UTC, Mateusz Mikuła
no flags Details
File: namespaces (deleted)
2017-11-11 16:26 UTC, Mateusz Mikuła
no flags Details
File: open_fds (deleted)
2017-11-11 16:26 UTC, Mateusz Mikuła
no flags Details

Description Mateusz Mikuła 2017-11-11 16:26:03 UTC
Version-Release number of selected component:
meld-3.18.0-1.fc27

Additional info:
reporter:       libreport-2.9.3
cmdline:        /usr/bin/python3 /usr/bin/meld
crash_function: __getattr__
exception_type: AttributeError
executable:     /usr/bin/meld
kernel:         4.13.9-300.fc27.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
gnomeglade.py:56:__getattr__:AttributeError: on_file_changed

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/meld/meldwindow.py", line 533, in on_file_changed
    page.on_file_changed(filename)
  File "/usr/lib/python3.6/site-packages/meld/ui/gnomeglade.py", line 56, in __getattr__
    raise AttributeError(key)
AttributeError: on_file_changed

Local variables in innermost frame:
widget: None
key: 'on_file_changed'
self: <newdifftab.NewDiffTab object at 0x7f784156a318 (NewDiffTab at 0x55babd07fe00)>

Potential duplicate: bug 1224543

Comment 1 Mateusz Mikuła 2017-11-11 16:26:10 UTC
Created attachment 1350927 [details]
File: backtrace

Comment 2 Mateusz Mikuła 2017-11-11 16:26:11 UTC
Created attachment 1350928 [details]
File: cgroup

Comment 3 Mateusz Mikuła 2017-11-11 16:26:13 UTC
Created attachment 1350929 [details]
File: cpuinfo

Comment 4 Mateusz Mikuła 2017-11-11 16:26:14 UTC
Created attachment 1350930 [details]
File: environ

Comment 5 Mateusz Mikuła 2017-11-11 16:26:16 UTC
Created attachment 1350931 [details]
File: mountinfo

Comment 6 Mateusz Mikuła 2017-11-11 16:26:17 UTC
Created attachment 1350932 [details]
File: namespaces

Comment 7 Mateusz Mikuła 2017-11-11 16:26:19 UTC
Created attachment 1350933 [details]
File: open_fds

Comment 8 Mateusz Mikuła 2017-11-15 17:21:26 UTC
To reproduce merge few changes between files and click save.

Comment 9 Clemens Eisserer 2018-02-21 10:00:33 UTC
Similar problem has been detected:

edited in meld and switched between tabs when it crashed

reporter:       libreport-2.9.3
cmdline:        /usr/bin/python3 /usr/bin/meld
crash_function: __getattr__
exception_type: AttributeError
executable:     /usr/bin/meld
kernel:         4.15.3-300.fc27.x86_64
package:        meld-3.18.0-1.fc27
reason:         gnomeglade.py:56:__getattr__:AttributeError: on_file_changed
runlevel:       N 5
type:           Python3
uid:            1000

Comment 10 Ben Cotton 2018-11-27 16:56:27 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Ben Cotton 2018-11-30 19:59:42 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.